﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TestApplication
{
    public partial class _Default : System.Web.UI.Page
    {
        private NorthwindModel context;

        protected void Page_Init(object sender, EventArgs e)
        {
            SiteMaster masterPage = this.Master as SiteMaster;
            if (masterPage == null)
            {
                throw new ArgumentException("masterPage");
            }

            this.context = masterPage.DataContext;
            if (this.context == null)
            {
                throw new ArgumentException("context");
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!this.Page.IsPostBack)
            {
                Category category = this.context.Categories.LastOrDefault();
                this.Session["Category"] = category;
            }
            else
            {
                Category category = this.Session["Category"] as Category;
                if (category != null)
                {
                    category.Description = string.Concat("NewDescription", DateTime.Now);
                }
            }
        }
    }
}
